Bug 1985588 - Master Machine Config Pool degraded at install time
Summary: Master Machine Config Pool degraded at install time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Luigi Mario Zuccarelli
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1981975
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-24 05:05 UTC by OpenShift BugZilla Robot
Modified: 2022-08-04 22:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-07 04:14:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1164 0 None open [release-4.8] Bug 1985588: Update service network status to reflect dual stack entries 2021-07-27 01:00:40 UTC
Red Hat Product Errata RHBA-2021:3299 0 None None None 2021-09-07 04:14:18 UTC

Comment 1 Andrew McDermott 2021-07-26 15:06:04 UTC
Given the noted workaround for the customer in https://bugzilla.redhat.com/show_bug.cgi?id=1981975#c6 marking this as blocker-.

Comment 2 Miciah Dashiel Butler Masters 2021-08-19 21:43:27 UTC
The PR to fix this BZ is currently blocked on CI issues; see bug 1990899.

Comment 6 Hongan Li 2021-09-01 06:58:44 UTC
verified with 4.8.0-0.nightly-2021-08-29-075226 and passed.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-08-29-075226   True        False         125m    Cluster version is 4.8.0-0.nightly-2021-08-29-075226

# oc get proxies.config.openshift.io cluster -oyaml
<---snip---->
status:
  httpProxy: http://xxx.redhat.com:xxx
  httpsProxy: http://xxx.redhat.com:xxx
  noProxy: .cluster.local,.svc,10.128.0.0/14,127.0.0.1,172.30.0.0/16,2620:52:0:2e2e::/64,api-int.hongli-48.qe.devcluster.openshift.com,fd01::/48,fd02::/112,localhost

Comment 8 errata-xmlrpc 2021-09-07 04:14:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.10 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3299


Note You need to log in before you can comment on or make changes to this bug.